OpenShot Audio Library | OpenShotAudio: juce::MidiRPNGenerator Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::MidiRPNGenerator Class Reference

`#include <juce_MidiRPN.h>`

## Static Public Member Functions
static MidiBuffer | generate (MidiRPNMessage message)
static MidiBuffer | generate (int channel, int parameterNumber, int value, bool isNRPN=false, bool use14BitValue=true)

## Detailed Description

Generates an appropriate sequence of MIDI CC messages to represent an RPN or NRPN message.

This sequence (as a MidiBuffer) can then be directly sent to a MidiOutput.

Definition at line 135 of file juce_MidiRPN.h.

## Member Function Documentation

## ◆ generate() [1/2]

MidiBuffer juce::MidiRPNGenerator::generate | ( | int | channel,
|  | int | parameterNumber,
|  | int | value,
|  | bool | isNRPN = false,
|  | bool | use14BitValue = true )
| static

Generates a MIDI sequence representing an RPN or NRPN message with the given parameters.

Parameters

  channel | The MIDI channel of the RPN/NRPN message.
  parameterNumber | The parameter number, in the range 0 to 16383.
  value | The parameter value, in the range 0 to 16383, or in the range 0 to 127 if sendAs14BitValue is false.
  isNRPN | Whether you need a MIDI RPN or NRPN sequence (RPN is default).
  use14BitValue | If true (default), the value will have 14-bit precision (two MIDI bytes). If false, instead the value will have 7-bit precision (a single MIDI byte).

Definition at line 123 of file juce_MidiRPN.cpp.

## ◆ generate() [2/2]

MidiBuffer juce::MidiRPNGenerator::generate | ( | MidiRPNMessage | message | ) |
| static

Generates a MIDI sequence representing the given RPN or NRPN message.

Definition at line 114 of file juce_MidiRPN.cpp.

Referenced by juce::MPEMessages::clearLowerZone(), juce::MPEMessages::clearUpperZone(), juce::MPEMessages::setLowerZone(), juce::MPEMessages::setLowerZoneMasterPitchbendRange(), juce::MPEMessages::setLowerZonePerNotePitchbendRange(), juce::MPEMessages::setUpperZone(), juce::MPEMessages::setUpperZoneMasterPitchbendRange(), and juce::MPEMessages::setUpperZonePerNotePitchbendRange().

The documentation for this class was generated from the following files:

- juce_MidiRPN.h
- juce_MidiRPN.cpp